name: Mitchell Finch
locality: 
country: Remote
role: <a href="/job-families/sales/account-executive/">Account Executive - Mid Market</a>
reports_to: lvasquez00887
picture: mfinch.jpg
pronouns:
pronunciation:
twitter:
linkedin:
gitlab: mfinch
departments:
  - Commercial Sales
specialty: "Mid Market"
expertise:
story:

